// ؽó μ ũ
float MAP_CX;
float MAP_CY;
float n;	// 

sampler Sampler;

float4 main( float2 Tex : TEXCOORD0 ) : COLOR
{
	float mask[9] = 
		{ -1, -1, -1, 
		  -1,  8, -1, 
		  -1, -1, -1 }; // Laplacian
       
	float coord[3] = { -1, 0, +1 };
    
	float4 Color = 0;

	// ö     
    for( int i = 0 ; i < 9 ; i++ )
        Color += mask[i] * ( tex2D( Sampler, Tex + float2( coord[i%3]/MAP_CX, coord[i/3]/MAP_CY ) ) );

	Color = pow( Color, n );
	Color = 1 - Color;	// ´

	// ÷ Gray ٲ۴
	float gray = Color.r * 0.3 + Color.g * 0.59 + Color.b * 0.11;
	Color = float4( gray, gray, gray, 1 );

    return Color;
}
